Skip to content
OpenPostDocs
OpenPostDocs
Admin

List instance users

Returns a newest-first, paginated directory of users visible only to an instance administrator.

GET/admin/users

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?integer

One-based page number

Formatint64
Range1 <= value
Default1
per_page?integer

Users per page

Formatint64
Range1 <= value <= 100
Default25
search?string

Case-insensitive email or display-name search

Lengthlength <= 200
sort?string

Directory sort field

Default"created_at"

Value in

  • "created_at"
  • "email"
  • "display_name"
  • "last_active_at"
  • "workspace_count"
  • "publication_count"
direction?string

Directory sort direction

Default"desc"

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/admin/users"
{  "$schema": "https://example.com/api/v1/schemas/InstanceUserPage.json",  "page": 0,  "per_page": 0,  "total": 0,  "total_pages": 0,  "users": [    {      "avatar_url": "string",      "created_at": "string",      "display_name": "string",      "email": "string",      "id": "string",      "is_admin": true,      "last_active_at": "string",      "organization_count": 0,      "plan_ids": [        "string"      ],      "publication_count": 0,      "social_account_count": 0,      "workspace_count": 0    }  ]}